@import "functions";

// Global variables

// Colors
$color-black: #000000;
$color-black-light: #1b1b1b;

$color-white: #ffffff;
$color-white-darken: #f6f6f6;

$color-primary: #02448a;
$color-secondary: #ffce03;

$color-text: $color-black-light;
$color-title: $color-primary;

$color-error: #ea4336;

$color-background-body: $color-white;

// Typography
$font-family-main: "PT Sans", sans-serif;

$text-size-xl: 50px;
$text-size-l: 40px;
$text-size-m: 25px;
$text-size-s: 20px;
$text-size-xs: 16px;
$text-size-xxs: 14px;

$title-size-h1: $text-size-xl;
$title-size-h2: $text-size-l;
$title-size-h3: $text-size-m;
$title-size-h4: $text-size-s;
$title-size-h5: $text-size-s - 2px;
$title-size-h6: $text-size-xs;

$line-height-main: 1.2;
$line-height-title: 1.2;

$text-weight-regular: 400;
$text-weight-bold: 700;

// Borders
$border-radius-main: 10px;

// Misc
$border-radius-main: 10px;
$box-shadow-main:  0 3px 16px rgba(0, 0, 0, .18);

$transition-time: .375s;
$transition-type: ease-in-out;

$z-index-default: 1;

// Breakpoints
$breakpoints: (
  "phone-small": 320px,
  "phone": 440px,
  "phone-large": 600px,
  "tablet-small": 768px,
  "tablet": 1024px,
  "laptop-small": 1200px,
  "laptop": 1366px,
  "desktop": 1600px,
  "desktop-fullhd": 1920px,
);

// Z-index
$z-layers: (
  back: -1,
  default: 1,
  header: 5,
  menu: 76,
  popup: 665
);
